#ifndef JESHADER_H_H
#define JESHADER_H_H

#include "errorlog.h"
#include <assert.h>

void jeShader_Error(const char * error, ...);
void jeShader_FatalError(shader_info_t *info, const char * error, ...);

int ParseWaveForm(const char* str);
void ParseColor(sh_num_t color[3], const char* red, const char* green, const char* blue);
void expected(const char* expected, const char* got);

#endif
